Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.command
Class CssStyleAdd

    java.lang.Object
      echopointng.command.CssStyleDecl
          echopointng.command.CssStyleAdd

All Implemented Interfaces:
  Command, RenderIdSupport

Direct Known Subclasses:
  CssStyleAddDontPrint

    public class CssStyleAdd

extends CssStyleDecl

`CssStyleAdd` allows form an arbitary style declaration to be added to the current application.

This `Command` is generated with a unique identifier that can be used later to remove the style declaration via the `CssStyleRemove` Command.

The style declrations are added as <STYLE></STYLE> into the <HEAD> of the client browser doucment.

Constructor Summary
`CssStyleAdd(java.lang.String styleText)` Constructs a `CssStyleAdd` command with the text of a CSS style declaration such as: div.whizoStyle { background-color : #acbdcd; } div.frizoStyle { background-color : #c0ffee; }
`CssStyleAdd(java.lang.String styleText, java.lang.String media)` Constructs a `CssStyleAdd` command with the text of a CSS style declaration and the media it applies to such as: div.whizoStyle { background-color : #acbdcd; } div.frizoStyle { background-color : #c0ffee; }

Method Summary
`java.lang.String` | `getStyleText()`

Methods inherited from class echopointng.command.CssStyleDecl
`getMedia, getRenderId, setMedia`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CssStyleAdd

    public CssStyleAdd(java.lang.String styleText)

  Constructs a `CssStyleAdd` command with the text of a CSS style declaration such as:

          div.whizoStyle {
                      background-color : #acbdcd;
          }

          div.frizoStyle {
                      background-color : #c0ffee;
          }

  Parameters:
    `styleText` - - the text of the style declarartion

### CssStyleAdd

    public CssStyleAdd(java.lang.String styleText,
                       java.lang.String media)

  Constructs a `CssStyleAdd` command with the text of a CSS style declaration and the media it applies to such as:

          div.whizoStyle {
                      background-color : #acbdcd;
          }

          div.frizoStyle {
                      background-color : #c0ffee;
          }

  Parameters:
    `styleText` - - the text of the style declarartion
    `media` - - the media the style declration applies to.
  See Also:
    `CssStyleDecl.setMedia(String)`

Method Detail

### getStyleText

    public java.lang.String getStyleText()

  Returns:
    Returns the CSS style declaration text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD